<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Class Hierarchy</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock">This inheritance list is sorted roughly, but not completely, alphabetically:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span><span onclick="javascript:toggleLevel(4);">4</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Attributes.html" target="_self">gg::Attributes</a></td><td class="desc"></td></tr>
<tr id="row_1_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_1_" class="arrow" onclick="toggleFolder('1_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>sf::Drawable</b></td><td class="desc"></td></tr>
<tr id="row_1_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_1_0_" class="arrow" onclick="toggleFolder('1_0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1GameState.html" target="_self">gg::GameState</a></td><td class="desc"></td></tr>
<tr id="row_1_0_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1ControlsMenu.html" target="_self">gg::ControlsMenu</a></td><td class="desc"></td></tr>
<tr id="row_1_0_1_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1CustomGameState.html" target="_self">gg::CustomGameState</a></td><td class="desc"></td></tr>
<tr id="row_1_0_2_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Gameplay.html" target="_self">gg::Gameplay</a></td><td class="desc"></td></tr>
<tr id="row_1_0_3_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1LoadGame.html" target="_self">gg::LoadGame</a></td><td class="desc"></td></tr>
<tr id="row_1_0_4_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1MainMenu.html" target="_self">gg::MainMenu</a></td><td class="desc"></td></tr>
<tr id="row_1_0_5_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1NewGame.html" target="_self">gg::NewGame</a></td><td class="desc"></td></tr>
<tr id="row_1_0_6_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1PauseMenu.html" target="_self">gg::PauseMenu</a></td><td class="desc"></td></tr>
<tr id="row_1_0_7_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Settings.html" target="_self">gg::Settings</a></td><td class="desc"></td></tr>
<tr id="row_1_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Scene.html" target="_self">gg::Scene</a></td><td class="desc"></td></tr>
<tr id="row_1_2_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_1_2_" class="arrow" onclick="toggleFolder('1_2_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1SceneNode.html" target="_self">gg::SceneNode</a></td><td class="desc"></td></tr>
<tr id="row_1_2_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_1_2_0_" class="arrow" onclick="toggleFolder('1_2_0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Box.html" target="_self">gg::Box</a></td><td class="desc"></td></tr>
<tr id="row_1_2_0_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1HBox.html" target="_self">gg::HBox</a></td><td class="desc"></td></tr>
<tr id="row_1_2_0_1_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1VBox.html" target="_self">gg::VBox</a></td><td class="desc"></td></tr>
<tr id="row_1_2_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_1_2_1_" class="arrow" onclick="toggleFolder('1_2_1_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Button.html" target="_self">gg::Button</a></td><td class="desc"></td></tr>
<tr id="row_1_2_1_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1ToggleButton.html" target="_self">gg::ToggleButton</a></td><td class="desc"></td></tr>
<tr id="row_1_2_2_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Container.html" target="_self">gg::Container</a></td><td class="desc"></td></tr>
<tr id="row_1_2_3_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Image.html" target="_self">gg::Image</a></td><td class="desc"></td></tr>
<tr id="row_1_2_4_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Label.html" target="_self">gg::Label</a></td><td class="desc"></td></tr>
<tr id="row_1_3_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_1_3_" class="arrow" onclick="toggleFolder('1_3_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Tile.html" target="_self">gg::Tile</a></td><td class="desc"></td></tr>
<tr id="row_1_3_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1BuildingTile.html" target="_self">gg::BuildingTile</a></td><td class="desc"></td></tr>
<tr id="row_1_3_1_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1RoadTile.html" target="_self">gg::RoadTile</a></td><td class="desc"></td></tr>
<tr id="row_1_3_2_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1TerrainTile.html" target="_self">gg::TerrainTile</a></td><td class="desc"></td></tr>
<tr id="row_2_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1EventDispatcher.html" target="_self">gg::EventDispatcher</a></td><td class="desc"></td></tr>
<tr id="row_3_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1FontManager.html" target="_self">gg::FontManager</a></td><td class="desc"></td></tr>
<tr id="row_4_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1GameEngine.html" target="_self">gg::GameEngine</a></td><td class="desc"></td></tr>
<tr id="row_5_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_5_" class="arrow" onclick="toggleFolder('5_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1IEvent.html" target="_self">gg::IEvent</a></td><td class="desc"></td></tr>
<tr id="row_5_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_5_0_" class="arrow" onclick="toggleFolder('5_0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1KeyboardEvent.html" target="_self">gg::KeyboardEvent</a></td><td class="desc"></td></tr>
<tr id="row_5_0_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1KeyPressedEvent.html" target="_self">gg::KeyPressedEvent</a></td><td class="desc"></td></tr>
<tr id="row_5_0_1_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1KeyReleasedEvent.html" target="_self">gg::KeyReleasedEvent</a></td><td class="desc"></td></tr>
<tr id="row_5_1_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_5_1_" class="arrow" onclick="toggleFolder('5_1_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1MouseButtonEvent.html" target="_self">gg::MouseButtonEvent</a></td><td class="desc"></td></tr>
<tr id="row_5_1_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1MouseButtonPressedEvent.html" target="_self">gg::MouseButtonPressedEvent</a></td><td class="desc"></td></tr>
<tr id="row_5_1_1_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1MouseButtonReleasedEvent.html" target="_self">gg::MouseButtonReleasedEvent</a></td><td class="desc"></td></tr>
<tr id="row_5_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1MouseMovedEvent.html" target="_self">gg::MouseMovedEvent</a></td><td class="desc"></td></tr>
<tr id="row_5_3_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_5_3_" class="arrow" onclick="toggleFolder('5_3_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1SceneButtonEvent.html" target="_self">gg::SceneButtonEvent</a></td><td class="desc"></td></tr>
<tr id="row_5_3_0_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1SceneToggleButtonEvent.html" target="_self">gg::SceneToggleButtonEvent</a></td><td class="desc"></td></tr>
<tr id="row_5_4_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1SceneInputEvent.html" target="_self">gg::SceneInputEvent</a></td><td class="desc"></td></tr>
<tr id="row_5_5_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1TimePassed.html" target="_self">gg::TimePassed</a></td><td class="desc"></td></tr>
<tr id="row_5_6_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1WindowCloseEvent.html" target="_self">gg::WindowCloseEvent</a></td><td class="desc"></td></tr>
<tr id="row_5_7_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1WindowResizeEvent.html" target="_self">gg::WindowResizeEvent</a></td><td class="desc"></td></tr>
<tr id="row_6_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_6_" class="arrow" onclick="toggleFolder('6_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1IEventSubscriber.html" target="_self">gg::IEventSubscriber</a></td><td class="desc"></td></tr>
<tr id="row_6_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Application.html" target="_self">gg::Application</a></td><td class="desc"></td></tr>
<tr id="row_6_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Button.html" target="_self">gg::Button</a></td><td class="desc"></td></tr>
<tr id="row_6_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1GameState.html" target="_self">gg::GameState</a></td><td class="desc"></td></tr>
<tr id="row_6_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Scene.html" target="_self">gg::Scene</a></td><td class="desc"></td></tr>
<tr id="row_6_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Tile.html" target="_self">gg::Tile</a></td><td class="desc"></td></tr>
<tr id="row_7_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1InputEngine.html" target="_self">gg::InputEngine</a></td><td class="desc"></td></tr>
<tr id="row_8_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Logger.html" target="_self">gg::Logger</a></td><td class="desc"></td></tr>
<tr id="row_9_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Map.html" target="_self">gg::Map</a></td><td class="desc"></td></tr>
<tr id="row_10_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structgg_1_1Margins.html" target="_self">gg::Margins</a></td><td class="desc"></td></tr>
<tr id="row_11_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1SceneManager.html" target="_self">gg::SceneManager</a></td><td class="desc"></td></tr>
<tr id="row_12_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_12_" class="arrow" onclick="toggleFolder('12_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>sf::Shape</b></td><td class="desc"></td></tr>
<tr id="row_12_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1RoundedShape.html" target="_self">gg::RoundedShape</a></td><td class="desc"></td></tr>
<tr id="row_13_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1StyleManager.html" target="_self">gg::StyleManager</a></td><td class="desc"></td></tr>
<tr id="row_14_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1TextureManager.html" target="_self">gg::TextureManager</a></td><td class="desc"></td></tr>
<tr id="row_15_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structgg_1_1TileVertices.html" target="_self">gg::TileVertices</a></td><td class="desc"></td></tr>
<tr id="row_16_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Timer.html" target="_self">gg::Timer</a></td><td class="desc"></td></tr>
<tr id="row_17_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1ToggleGroup.html" target="_self">gg::ToggleGroup</a></td><td class="desc"></td></tr>
<tr id="row_18_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1Util.html" target="_self">gg::Util</a></td><td class="desc"></td></tr>
<tr id="row_19_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classgg_1_1XMLDocument.html" target="_self">gg::XMLDocument</a></td><td class="desc"></td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
